Edit PHP.INI File with 1.0 install

Joomla version 1.0 is end-of-life and are no longer supported. Please use Joomla 3.x instead.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
mhardy820
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Sat Feb 18, 2012 2:02 am

Edit PHP.INI File with 1.0 install

Post by mhardy820 » Sun Feb 19, 2012 4:03 am

I am in the process of updating our present website that is presently running joomla 1.0. All I have is the site files and sql dump, so I am installing 1.0 to my laptop with the local install instructions, so that I can migrate all of our data to 1.5 then to 2.5. My question is, do I need to Edit the PHP.INI File for the debugger to work correctly or does the newest version of XAMMP not need it edited.

 
TrevorDurity
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 137
Joined: Sun Jan 28, 2007 3:15 pm
Contact:

Re: Edit PHP.INI File with 1.0 install

Post by TrevorDurity » Sun Feb 19, 2012 11:30 am

hmmm, not sure that Joomla 1.0 will work in Xampp. No problem though, it doesn't need to be working for you to do a migration. All you need is the database and files. So just get mtw_migrator, create your Joomla 1.5 websites and also install the 1.0 database using phpmyadmin.

Next step is to go into Joomla 1.5 and install mtw_migrator and point it to the old Joomla 1.0 database and run your migration. That will pull your data into Joomla 1.5. You will need to copy your uploaded media files into the new installation manually, e.g. images/stories.

All that said I have managed to get Joomla 1.0 working on later versions of php but in this case I don't think you need to. If you really wanted to do it just reply here and I'll send you a link to show what code to change in the core files.

 

Locked

Return to “Installation - 1.0.x”